package com.ruoyi.syzy.domain;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.syzy.dto.GkmcDTO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 高考名词对象 b_www_gkmc
 * 
 * @author mingxue
 * @date 2021-08-19
 */
@ApiModel("高考名词")
public class BWwwGkmc extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 类别 */
    @Excel(name = "类别")
    @ApiModelProperty("类别")
    private String type;

    /** 标题 */
    @Excel(name = "标题")
    @ApiModelProperty("标题")
    private String name;

    /** 来源 */
    @Excel(name = "来源")
    @ApiModelProperty("来源")
    private String f;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("日期")
    private Date sendDate;

    /** 内容 */
    @Excel(name = "内容")
    @ApiModelProperty("内容")
    private String content;

    /** 点击数 */
    @Excel(name = "点击数")
    @ApiModelProperty("点击数")
    private Long clicked;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private Integer status;
    @ApiModelProperty("上一个")
    private GkmcDTO prev;
    @ApiModelProperty("下一个")
    private GkmcDTO next;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setF(String f) {
        this.f = f;
    }

    public String getF() {
        return f;
    }

    public void setSendDate(Date sendDate) {
        this.sendDate = sendDate;
    }

    public Date getSendDate() {
        return sendDate;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }

    public void setClicked(Long clicked) {
        this.clicked = clicked;
    }

    public Long getClicked() {
        return clicked;
    }

    public BWwwGkmc setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    
    public GkmcDTO getPrev() {
        return prev;
    }

    public void setPrev(GkmcDTO prev) {
        this.prev = prev;
    }

    public GkmcDTO getNext() {
        return next;
    }

    public void setNext(GkmcDTO next) {
        this.next = next;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("type", getType())
            .append("name", getName()).append("f", getF()).append("sendDate", getSendDate()).append("content", getContent())
            .append("createTime", getCreateTime()).append("clicked", getClicked()).append("status", getStatus()).toString();
    }
}
